Core - Bug # 58567

Status: Resolved Priority: Must have
Author: Gerhard Rupp Category: Indexed Search
Created: 2014-05-06 Assigned To:

Updated: 2014-05-06 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity:

Is Regression: No

Sprint Focus:

Subject: Error in loadIndexerClass()

Description

In the function loadIndexerClass() in CrawlerHook.php and CrawlerFilesHook.php there is a wrong reference to file class.indexer.php

which was moved to file Indexer.php in subfolder Classes since TYPOS3 6.2.

Related issues:
related to Core - Bug # 47852: Remove dummy files from ext:indexed_search
related to Core - Bug # 58877: class.indexer.php not available when start cli...

2013-05-02
2014-05-16

Resolved
Resolved

Associated revisions

Revision d2969cdb - 2014-05-06 23:27 - Markus Klein

[BUGFIX] IndexSearch still uses require_once

Remove the old magic as classes are loaded properly already.

Resolves: #58567

Related: #47852

Releases: 6.2

Change-Id: lec20bf0dbd6955950225936911eba604faf720d6
Reviewed-on: https://review.typo3.org/29898

Reviewed-by: Oliver Klee
Reviewed-by: Wouter Wolters
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2014-05-06 15:38 - Markus Klein

Does it work if you remove the call to this function completely?
A first look tells me that this is completely superfluous already.

#2 - 2014-05-06 15:44 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29898
#3 - 2014-05-06 16:05 - Gerhard Rupp

Patch seems to work. There are no errors in the php error log and indexing is OK.

#4 - 2014-05-06 22:09 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29898

#5 - 2014-05-06 22:19 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29898

#6 - 2014-05-06 22:28 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29898

#7 - 2014-05-06 23:01 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29898

#8 - 2014-05-06 23:17 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/29898

#9 - 2014-05-06 23:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d2969cdbd1e19eddc35b730fa5424a9b75293d50.
